Delete Network Security Group

View as Markdown

Delete a Network Security Group by ID

Org must have a Tenant entity. Instance must belong to Tenant. User must have authorization role with TENANT_ADMIN suffix.

Deleting a Network Security Group will also delete all the associations and all policies.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
networkSecurityGroupIdstringRequired
ID of the Network Security Group

Response

Accepted

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
412
Precondition Failed Error
500
Internal Server Error
501
Not Implemented Error